quassel should ship an appdata file for Linux packaging
03/14/2016 06:40 PM - TCO1
Category: Estimated time: 0.00 hour
Target version:

0S: Linux

Description

See here: https://people.freedesktop.org/~hughsient/appdata/

This is the specification that various package management GUIs such as Gnome Software (the default graphical software installer on
Fedora Workstation, notably) use to decide if they should show an application or not. It lets people browsing for software discover
quassel and see screenshots and a description and so on. If there's no appdata file, Gnome Software (at least) chooses not to
display an application.

| intend to fix this in the Fedora package, but it's something quassel upstream should perhaps consider shipping, since | suspect
more than just Fedora would like to include this file.

Associated revisions

Revision 91cdf2d7 - 09/06/2016 10:56 PM - TCO1

Add AppData metadata for quassel, quasselclient.

The freedesktop.org AppData standard defines metadata for GUI
applications that wish to show up in various graphical software
centers, such as GNOME Software. See the specification for
more details: https://people.freedesktop.org/~hughsient/appdata/

Applications without metadata will not show up in GNOME Software,
and possibly other graphical package managers. As GNOME Software
is the recommended way on Fedora Workstation to install software,
this means that without these files users won't be able to find

quassel or quasselclient.

Fixes #1400. Resolves GH-216.

Revision e678718e - 02/28/2018 11:20 PM - TCO1

Add AppData metadata for quassel, quasselclient.

The freedesktop.org AppData standard defines metadata for GUI
applications that wish to show up in various graphical software
centers, such as GNOME Software. See the specification for
more details: https://people.freedesktop.org/~hughsient/appdata/

Applications without metadata will not show up in GNOME Software,
and possibly other graphical package managers. As GNOME Software
is the recommended way on Fedora Workstation to install software,
this means that without these files users won't be able to find

quassel or quasselclient.

Fixes #1400. Resolves GH-216.

(cherry picked from commit 91cdf2d76f6b57de2860f3d632cd2a40c17fb0b4)

History

#1 - 09/06/2016 10:57 PM - TCO1
- Status changed from New to Resolved

- % Done changed from 0 to 100
Applied in changeset quassel|91cdf2d76f6b57de2860f3d632cd2a40c17fb0b4.
